function article(returnValue)
{
    this.returnValue = returnValue;
    this.title = "";
    this.createdateString = "";
    this.createdatetimeString = "";
    this.media = "";
    this.videoHtml = "";
    this.HDAlbumHtml = "";
    this.htmlResult = "";
    this.content = "";
    //视频长宽
    this.videoWidth = clientWidthOfCurrentDevice - marginleft*2;
    this.videoHeight = this.videoWidth*heightDevideWidth;
    //图片长宽
    this.imageWidth = clientWidthOfCurrentDevice - marginleft*2;
    this.imageHeight = this.imageWidth*heightDevideWidth;
    this.parse = function()
    {
        this.title = "";
        this.createdateString = "";
        this.createdatetimeString = "";
        this.media = "";
        this.videoHtml = "";
        this.HDAlbumHtml = "";
        this.htmlResult = "";
        this.content = "";
        this.getTitle();
        this.getCreatedate();
        this.getCreatedatetime();
        this.getMedia();
        this.getVideo();
        this.getSlide_url();
        this.getHeadImage();
        this.getArticle();
    }
    this.getTitle = function()
    {
        this.title =  (this.returnValue.result.data)[0].title;
    }
    this.getCreatedate = function()
    {
        var createdatetime = new Date((returnValue.result.data)[0].createdatetime);
        var curr_date = createdatetime.getDate();
        var curr_month = createdatetime.getMonth() + 1; //Months are zero based
        var curr_year = createdatetime.getFullYear();
        var curr_hour = createdatetime.getHours();
        if (curr_hour<10)
        {
            curr_hour = "0"+curr_hour;
        }
        var curr_min = createdatetime.getMinutes();
        if(curr_min<10)
        {
            curr_min = "0" + curr_min;
        }
        var curr_sec = createdatetime.getSeconds();
        if(curr_sec<10)
        {
            curr_sec = "0" + curr_sec;
        }
        
        this.createdateString = curr_month+'-'+curr_date;
    }
    this.getCreatedatetime = function()
    {
        var createdatetime = new Date((returnValue.result.data)[0].createdatetime);
        var curr_date = createdatetime.getDate();
        var curr_month = createdatetime.getMonth() + 1; //Months are zero based
        var curr_year = createdatetime.getFullYear();
        var curr_hour = createdatetime.getHours();
        if (curr_hour<10)
        {
            curr_hour = "0"+curr_hour;
        }
        var curr_min = createdatetime.getMinutes();
        if(curr_min<10)
        {
            curr_min = "0" + curr_min;
        }
        var curr_sec = createdatetime.getSeconds();
        if(curr_sec<10)
        {
            curr_sec = "0" + curr_sec;
        }
        
        this.createdatetimeString = curr_hour+':'+curr_min;
    }
    
    this.getMedia = function()
    {
        this.media =  (returnValue.result.data)[0].media;
    }
    
    this.getVideo = function()
    {
        //if video add video div
        //                      var video = (returnValue.result.data)[0].video;
        var video = returnValue.video_info;
        if(video!=undefined )//&& video.url!=undefined && video.url.length > 0
        {
            //                          alert("video");
            isVideo = true;
            var archerContent = 'archerContent';
            var archerContentUrl;
            if(video.url!=undefined)
            {
                archerContentUrl = video.url;
            }
            var thumb;
            if(video.image!=undefined)
            {
                thumb = video.image;
            }
            this.videoHtml += '<div id ="VideoPlaceHolderDiv" style="width:'+ this.videoWidth +';height:'+ this.videoHeight +';" class = "placeholder">';
            this.videoHtml += '<img  onclick = "toPlayVideo()" id = "'+ videoImageID +'" style="width:'+ this.videoWidth +';height:'+ this.videoHeight +';" src="'+ thumb +'"  >';
            this.videoHtml += '</div>';
            
            var playX =  28;
            var playY =  30;
            this.videoHtml += '<img src = "video_play.png" onclick = "toPlayVideo()" alt = "video button" style = "position:absolute; left:'+ 0 +';bottom:'+ 0 +'; width:50px;height:32px;"  />  ';
        }
    }
    
    this.getSlide_url = function()
    {
        var imgUrl = this.returnValue.slide_url;
        if( imgUrl!=undefined && imgUrl.length > 0)
        {
            var offsets = document.getElementById("HDAlbum").getBoundingClientRect();
            var top = offsets.top;
            var left = offsets.left;
            var imageHeight = this.imageWidth*482/775;
            
            var backgroundSizeHeight = 62;
            if(imageHeight < backgroundSizeHeight)
            {
                backgroundSizeHeight = imageHeight;
            }
            //775  482
            var maskTop = imageHeight - 25;
            this.HDAlbumHtml += '<div id ="HDplaceHolderDiv" class = "placeholder" style = "background-size: auto '+ backgroundSizeHeight +';width: '+ this.imageWidth +';height: '+ imageHeight +';" >';
            this.HDAlbumHtml += '<img id="HDAlbumImage" onclick = "toHDAlbum()" style="width:'+ this.imageWidth +';height:'+ imageHeight +'" src="'+ imgUrl +'"  alt="'+HDAlbum +'">';
            this.HDAlbumHtml += '<div id ="maskDiv" onclick = "toHDAlbum()"   class = "maskDivStyle"  style= "width:'+ this.imageWidth +'px; top:'+ maskTop +'px;" ></div>';
            this.HDAlbumHtml += '<div id = "maskTitle" onclick = "toHDAlbum()"  class = "maskTitleStyle" style =" width:'+ this.imageWidth +'px;top:'+ maskTop +'px;" >点击高清图</div>';
            this.HDAlbumHtml +='</div>';
        }
    }
    this.getHeadImage = function()
    {
        //如果有视频数据，那么则不显示，正文首图
        //                        var video = returnValue.video_info;
        //                        if(video!=undefined)
        //                        {
        //                            return;
        //                        }
        if(isVideo == true)
        {
            return;
        }
        var headImages =  (returnValue.result.data)[0].images;
        for(var i=0;i<headImages.length;i++)
        {
            var imageElementTitle = headImages[i].title;
            var imageElementWidth = headImages[i].width;
            var imageElementUrl = headImages[i].url;
            var imageElementHeight = headImages[i].height;
            var scale = imageElementHeight/imageElementWidth;
            if(imageElementWidth > this.imageWidth)
            {
                imageElementWidth = this.imageWidth;
                imageElementHeight = imageElementWidth*scale;
            }
            
            //占位图的大小
            var backgroundSizeHeight = 62;
            if(imageElementHeight < backgroundSizeHeight)
            {
                backgroundSizeHeight = imageElementHeight;
            }
            var headImagesHtml;
            headImagesHtml = '<div id ="placeHolderDiv" class = "placeholder" style = "background-size: auto '+ backgroundSizeHeight +';width: '+ imageElementWidth +';height: '+ imageElementHeight +';" >';
            headImagesHtml += '<img  onload = addBackgroundColor("headImage'+i+'")  id = "headImage'+i+'" src="'+ imageElementUrl +'"  alt="'+imageElementTitle +'" style="width:'+ imageElementWidth +';height:'+ imageElementHeight +'; " onclick = "toArticleImg(this)" >';
            headImagesHtml +='</div>';
            //                            headImagesHtml += '<div class = "underImageTitle"  >' + imageElementTitle + '</div>';
            
            this.htmlResult += headImagesHtml;
        }
    }
    this.getArticle = function()
    {
        if( (returnValue.result.data)[0].content == undefined)
        {
            return;
        }
        this.content = (returnValue.result.data)[0].content;
        //去除微博链接
        //                        this.content = this.content.replace(regex,"")
    }
}