
function parseVoteList(votesArray)
{
    var voteCardElement = document.getElementById("voteCard");
    var voteCardHtml = '';

    if(votesArray.length > 0)
    {
        voteCardHtml += '<div class="votegrid">';
        voteCardHtml += '<div ><span class="voteNote">投票</span><span style="line-height:43px;display:inline-block;float:right;margin-right:23;text-align:right;font-size:12px;color:#2e96cc;vertical-align:middle;" onClick="voteShowResultClick()">查看结果</span></div>';
        voteCardHtml += '<div style="border-bottom:1px solid #dbdbdb;height:1px;width:100%;"></div>';
    }

    for(var i = 0;i < votesArray.length;i++)
    {
        var question = votesArray[i].question;
        var check_null = votesArray[i].check_null;
        var question_state = votesArray[i].question_state;
        var answer = votesArray[i].answer;
        var questionid = votesArray[i].questionid;

        var stateiCon = '';
        if(question_state == '0')//多选
        {
            stateiCon = "multiplechoicetxt.png";
        }
        else
        {
            stateiCon = "radiotxt.png";
        }
        voteCardHtml += '<img class="voteTitleIcon" src="' + stateiCon + '" \>';
        voteCardHtml += '<div class="voteTitle">'+ question + ' </div>';/*投票标题*/


        var count = 0;/*选项个数*/
        var divid = 'div_' + questionid;
        voteCardHtml += '<div id="' + divid + '">';
        for( var answerid in answer)
        {
            var answerDict = answer[answerid];

            var name = answerDict.name;

            voteCardHtml += '<div class="voteAnswerDiv" style="background:white;" for="' + answerid + '" id= "'+ 'd_' + answerid + '">';
            if(question_state == '1')
            {
                voteCardHtml += '<input class="voteinputradio voteinput" id="'  + answerid +  '" type="radio" name="'+ 'q_' + questionid + '" value="' + answerid + '" onclick ="voteDivClick(\''+ 'd_' + answerid +'\',\''+ divid +'\')" />';
                voteCardHtml += '<label class="voteAnswer" for="' + answerid + '" >'+ name + '</label>';
            }
            else if(question_state == '0')
            {
                voteCardHtml += '<input class="voteinputcheckbox voteinput" id="'  + answerid +  '" type="checkbox" name="'+'q_' +  questionid + '[' + count.toString() +']" value="' + answerid + '" onclick ="voteDivClick(\''+ 'd_' + answerid +'\',\''+ divid +'\')" />';
                voteCardHtml += '<label class="voteAnswer" for="' + answerid + '" >'+ name +  ' </label>';
                //加一条影藏分隔线，当相邻两个选项都选中时就显示
                voteCardHtml += '<div style="border-bottom:0.5px solid white;height:0.5px;"></div>';
            }
            voteCardHtml += '</div>';
            count = count + 1;

        }
        voteCardHtml += '</div>';
        /*每一个投票的分隔线*/
        if( i < votesArray.length -1)
        {
            voteCardHtml += '<div style="border-bottom:1px solid #dbdbdb;height:1px;margin-top:19px;margin-left:19px;margin-right:19px;"></div>';
        }
    }
    if(votesArray.length > 0)
    {
        voteCardHtml += '<div style="margin:13px 19px;height:36px;line-height:36px;background-color:#da1d09;text-align:center;" onclick = "voteCommitClick()"><span style="font-size:16px;color:#ffffff">提交<span></div>';

        voteCardHtml += '</div>';
    }

    voteCardElement.innerHTML = voteCardHtml;
}


function parseVoteData(votesArray){
    var voteViewElement = document.getElementById("vote_view");
    var voteFormHtml = voteViewElement.innerHTML;
    var firstAnswer = votesArray[0].answer;
    var count=0;
    for(var answerid in firstAnswer){
        count++;
    }
    if(votesArray.length==1 && count == 2){
        voteListStyleSimple(votesArray);
    }else{
        var voteClass = votesArray.length>1 ? 'mod_vote vote2':'mod_vote';
        voteFormHtml='<div class="'+voteClass+'">';
        for(var i = 0;i < votesArray.length;i++)
        {
            var question = votesArray[i].question;
            var check_null = votesArray[i].check_null;
            var question_state = votesArray[i].question_state;
            var answer = votesArray[i].answer;
            var questionid = votesArray[i].questionid;

            voteFormHtml +='<div class="step1"><h1>'+question+'</h1><ul>';
            // checkbox or radio
            var inputType = question_state==0?'checkbox':'radio';
            var index = 0;
            for(var answerid in answer){
                index+= 1;
                var answerDict = answer[answerid];
                var name = answerDict.name;
                voteFormHtml+='<li><label for="v'+index+'">'+name+'</label><input type="'+inputType+'" name="q_'+questionid+'" id="'+answerid+'"  value='+answerid+'></input></li>';
            }
            voteFormHtml+='</ul></div>';
        }
        voteFormHtml+='<div class="btn_con"><a class="btn_voto" href="javascript:voteCommitClick();">投票</a></div></div>';
        voteViewElement.innerHTML = voteFormHtml;
    }
}

function voteListStyleSimple(votesArray){
    var question = votesArray[0].question;
    var check_null = votesArray[0].check_null;
    var question_state = votesArray[0].question_state;
    var questionid = 'q_'+votesArray[0].questionid;
    var answer = votesArray[0].answer;
    var voteViewElement = document.getElementById("vote_view");
    var index = 0;
    var voteFormHtml = voteViewElement.innerHTML;
    voteFormHtml += '<div class="mod_vote2" Style="margin-bottom:10px;"><div calss="step1"><h1 style="font-size:14px;">'+question+'</h1></div></div>';
    var nameLeft='';
    var nameRight='';
    var answerLeft;
    var answerRight;
    for(var answerid in answer){
        var answerDict = answer[answerid];
        index++;
        if(index == 1){
            answerLeft = answerid;
            nameLeft = answerDict.name;
        }else{
            nameRight = answerDict.name;
            answerRight = answerid;
        }
    }
    voteFormHtml+='<div class="mod_vote2"><a onclick=voteCommitForSimpleClick("'+questionid+'","'+answerLeft+'") href="javascript:;" ><i class="ico_y"></i>'+nameLeft+'</a><div class="progress"><div class="bar"><span class="red" style="width:50%"><i></i></span><span class="blur"></span></div></div><a href="javascript:;" onclick=voteCommitForSimpleClick("'+questionid+'","'+answerRight+'")><i class="ico_n"></i>'+nameRight+'</a></div>';
    voteViewElement.innerHTML = voteFormHtml;
}

//投票有多项选择样式
function voteListStyleComplex(answer,question,state,voteIndex){
    var voteViewElement = document.getElementById("vote_view");
    var index = 0;
    var voteFormHtml = voteViewElement.innerHTML;
    voteFormHtml += '<div class="mod_vote vote2" Style="margin-bottom:10px;"><div calss="step1"><h1>'+question+'</h1><ul>';
    // checkbox or radio
    var inputType = state == 0?'checkbox':'radio';
    for(var answerid in answer){
        index+= 1;
        var answerDict = answer[answerid];
        var name = answerDict.name;
        voteFormHtml+='<li><label for="v'+index+'">'+name+'</label><input type="'+inputType+'" name="sport_radio'+voteIndex+'" id="v'+index+'"  value='+answerid+''+index+'/></li>';
    }
    voteFormHtml+=' </ul></div><div class="btn_con"><a class="btn_voto" href="javascript:;">投票</a></div></div>';
    voteViewElement.innerHTML = voteFormHtml;
}

//新版已投票解析 ps:有多个选项
function parseVoteResultList(votesArray,recordArray){
    var voteViewElement = document.getElementById("vote_view");
    var voteClass = votesArray.length>1?'mod_vote vote2':'mod_vote';
    var voteFormHtml = '<div class="'+voteClass+'">';
    var firstAnswer = votesArray[0].answer;
    var count=0;
    for(answerid in firstAnswer){
        count++
    }
    if(votesArray.length == 1 && count==2){
        parseVoteResultListSimple(votesArray,recordArray);
    }else{
        for(var i=0;i<votesArray.length;i++){
            var question = votesArray[i].question;
            var answer = votesArray[i].answer;
            voteFormHtml+='<div class="step2"><h1>'+question+'</h1><ul>';
            for(answerid in answer){
                var answerDict = answer[answerid];
                var name = answerDict.answer;
                var percent = answerDict.percent;
                var checked = '';

                for(var j = 0; j < recordArray.length; j++ )
                {
                    var recordAnswer = recordArray[j];
                    if(recordAnswer == answerid)
                    {
                        checked = 'checked';
                        break;
                    }else{
                        checked = '';
                    }
                }

                voteFormHtml+='<li class="now"><div class="progress"><p>'+name+'</p><span class="bar" style="width:'+percent+'%"><span class="num">'+percent+'%</span></span></div> <input type="checkbox" '+checked+' disabled="true"/></li>';
            }
            voteFormHtml+='</ul></div>';
        }
        var voteClosed = votesArray[0].voteClosed;
        if(voteClosed == 1){
            voteFormHtml+='<div class="btn_con"><a class="btn_voto" href="javascript:void(0);">投票已结束</a></div>';
        }
        voteFormHtml+='</div>';
        voteViewElement.innerHTML = voteFormHtml;
    }
}

function parseVoteResultListSimple(votesArray,recordArray){
    var voteViewElement = document.getElementById("vote_view");
    var answer = votesArray[0].answer;
    var nameLeft='';
    var nameRight='';
    var countLeft=0;
    var countRight=0;
    var index = 0;
    for(var answerid in answer){
        var answerDict = answer[answerid];
        index++;
        if(index == 1){
            nameLeft = answerDict.answer;
            countLeft = answerDict.var_count;
        }else{
            nameRight = answerDict.answer;
            countRight = answerDict.var_count;
        }
    }
    //百分比
    var total = parseInt(countLeft)+parseInt(countRight);
    var percent = countLeft/total*100;
    var voteFormHtml = '<div class="mod_vote2"><a href="javascript:;" class="now"><i class="ico_y"></i>'+nameLeft+'</a><div class="progress"><div class="bar"><span class="red" style="width:'+percent+'%"><i></i></span><span class="blur"></span></div><span class="red_text">'+countLeft+'</span><span class="blur_text">'+countRight+'</span></div><a href="javascript:;" class="now"><i class="ico_n"></i>'+nameRight+'</a></div>'
    voteViewElement.innerHTML = voteFormHtml;
}


function parseVoteDoneList(votesArray,recordArray)
{
    var voteCardElement = document.getElementById("voteCard");
    var voteCardHtml = '';

    if(votesArray.length > 0)
    {
        var voterNum = votesArray[0].var_voter_num;
        var voteClosed = votesArray[0].voteClosed;

        var notes = '';
        var bottomNotes = ''
        if (voteClosed == '1')
        {
            notes = '已结束';
            bottomNotes = '该投票已结束';
        }
        else
        {
            notes = '参与投票';
            bottomNotes = '感谢您的参与';
        }


        voteCardHtml += '<div class="votegrid">';
        var hiddenBackToList = '';
        if(recordArray.length > 0)//参与过
        {
            hiddenBackToList = 'visibility:hidden;';
        }
        else
        {
            hiddenBackToList = 'visibility:visible;';
        }
        voteCardHtml += '<div class="voteNote">投票<span style="margin-left:2px;color:#b9b9b9;font-size:12px;vertical-align:middle;">(' + voterNum + '人参与)</span><span style="line-height:43px;display:inline-block;float:right;margin-right:23px;text-align:right;font-size:12px;color:#2e96cc;vertical-align:middle;' + hiddenBackToList + '" onClick="resultTovoteListClick()">' + notes + '</span></div>';

        voteCardHtml += '<div style="border-bottom:1px solid #dbdbdb;height:1px;width:100%;"></div>';
    }

    for(var i = 0;i < votesArray.length;i++)
    {
        var question = votesArray[i].question;
        var question_state = votesArray[i].question_state;
        var answer = votesArray[i].answer;

        var stateiCon = '';
        if(question_state == '0')//多选
        {
            stateiCon = "multiplechoicetxt.png";
        }
        else
        {
            stateiCon = "radiotxt.png";
        }
        voteCardHtml += '<img class="voteTitleIcon" src="' + stateiCon + '" \>';
        voteCardHtml += '<div class="voteTitle">'+ question +' </div>';

        var count = 0;/*选项个数*/

        voteCardHtml += '<div>';
        var colors = new Array;
        colors[0] = '#2e96cc';
        colors[1] =  '#f1c40f';
        colors[2] = '#2ecc71';
        colors[3] = '#e74c3c';

        for( var answerid in answer)
        {
            var answerDict = answer[answerid];

            var answername = answerDict.answer;
            var percent = answerDict.percent;

            var pxlen = 200 * parseFloat(percent)/100;
            var width = pxlen.toString() + 'px';

            for(var index = 0; index < recordArray.length; index++ )
            {
                var recordAnswer = recordArray[index];

                if(recordAnswer == answerid)
                {
                    isRecord = true;
                    break;
                }
            }
            if(isRecord)
            {
                voteCardHtml += '<div style="background:#f0f0f0;">';
            }
            else
            {
                voteCardHtml += '<div>';
            }
            voteCardHtml += '<div class="displayvoteAnswer" >'+ answername + ' </div>';

            var index = count%4;
            var mycolor = colors[index];

            var recordFlag = '';
            if(isRecord)
            {
                recordFlag = '<img style="width:39px;height:11px;display:inline-block;float:right;margin-right:23px;vertical-align:middle;" src="checked_con@3x.png" \>';
            }
            
            voteCardHtml += '<div style = "margin-bottom:10px;"><span style="margin-left:19px;display:inline-block;width:' +width+ ';height:10px;background-color:' + mycolor + ';"></span><span style="margin-left:3px;font-size:14px;color:#b9b9b9">' + percent +'%</span>' + recordFlag +'</div>';
            //加一条影藏分隔线，当相邻两个选项都选中时就显示
            voteCardHtml += '<div style="border-bottom:0.5px solid white;height:0.5px;"></div>';
            
            var isRecord = false;
            
            
            count = count + 1;
            voteCardHtml += '</div>';
        }
        voteCardHtml += '</div>';
        
        voteCardHtml += '<div style="border-bottom:1px solid #dbdbdb;height:1px;margin-top:19px;margin-left:19px;margin-right:19px;"></div>';
        
    }
    if(votesArray.length > 0 && voteClosed == '1')//如果投票已经结束
    {
        voteCardHtml += '<div style="margin:13px 19px;height:36px;line-height:36px;text-align:center;"><span style="font-size:16px;color:#b9b9b9">' + bottomNotes +'<span></div>';
        
        voteCardHtml += '</div>';
    }
    else if (votesArray.length > 0)//投票未结束
    {
        if(recordArray.length > 0)//用户已经投过
        {
            voteCardHtml += '<div style="margin:13px 19px;height:36px;line-height:36px;text-align:center;"><span style="font-size:16px;color:#b9b9b9">' + bottomNotes +'<span></div>';
            
            voteCardHtml += '</div>';
        }
        else
        {
            voteCardHtml += '<div style="margin:13px 19px;height:36px;line-height:36px;background-color:#da1d09;text-align:center;" onclick = "resultTovoteListClick()"><span style="font-size:16px;color:#ffffff">立即参与<span></div>';
            voteCardHtml += '</div>';
        }
        
    }
    voteCardElement.innerHTML = voteCardHtml;
}

function parseHotComments(HotCommentsArray)
{
    var hotCommentsElement = document.getElementById("hotComment");
    var commentHtml = '';
    if(HotCommentsArray.length > 0)
    {
        commentHtml += '<div id = "recommend"><div Style ="font-size:14px;color:rgb(85,85,85)">热门评论<div class="hotCommenthairlines"></div></div></div>';
    }
    for(var i = 0;i < HotCommentsArray.length;i++)
    {
        var area = HotCommentsArray[i].area;
        var content = HotCommentsArray[i].content;
        var nick = HotCommentsArray[i].nick;
        var time = HotCommentsArray[i].time;
        var vote = HotCommentsArray[i].vote;
        var agree = HotCommentsArray[i].agree;
        var wb_profile_img = HotCommentsArray[i].wb_profile_img;
        var home_team = HotCommentsArray[i].home_team;
        var mid = HotCommentsArray[i].mid;
        var wb_screen_name = HotCommentsArray[i].wb_screen_name
        //默认头像
        if(wb_profile_img == undefined)
        {
            wb_profile_img = "user_icon.png";
        }
        //微博 wb_screen_name
        if(wb_screen_name != undefined)
        {
            nick = wb_screen_name;
        }
        
        var iconMarginTop = "";
        if(clientType == "iOS")
        {
            iconMarginTop = "margin-top:3px;"
        }
        
        if(home_team == undefined)
        {
            commentHtml +='<!-- 列表原素 start --> <div comment-type="item" class="item clearfix" Style = "position:relative;"> <!-- 头像 start --> <div Style = "float:left; margin:16px 11px 0px 0px;"> <img Style ="width:25px;height:25px;border-radius: 12.5px;" src="'+ wb_profile_img +'"> </div> <!-- 头像 end --> <!-- 内容 start --> <div Style = "float:left;"> <div style = "padding-top:22px;font-size:12px;color:rgb(185,185,185);"> '+ nick +' </div> </div> <div style = "position:absolute;right:0px;top:24px;font-size:9px;color:rgb(185,185,185);">'+ time +'</div> <div Style = "clear:both;margin-left:36px;line-height:24px;font-size:17px;color:rgb(0,0,0);">'+ content +' </div> <div style = "margin-top:10px;margin-bottom:17px"> <div Style = "float:right;font-size:9px;color:rgb(185,185,185);" onclick="replyClick(\''+ mid +'\')"> 回复 </div> <img Style ="float:right;'+ iconMarginTop +'margin-right:4px; width: 9px; height: 9px" src="reply_icon.png" onclick="replyClick(\''+ mid +'\')"> <div id="'+ mid +'" Style = "float:right;margin-right:9px;font-size:9px;color:rgb(185,185,185);" onclick="agreeClick(this,\''+ mid +'\')"> '+ agree +' </div> <img Style ="float:right;'+ iconMarginTop +'margin-right:4px;width: 9px; height: 9px;" src="agreed_icon.png" onclick="agreeClick(this,\''+ mid +'\')"> <div Style = "float:left;margin-left:36px;font-size:9px;color:rgb(185,185,185)">['+ area+']</div> <div style ="clear:both;"> </div> </div> <div class="hairlines"></div><!-- 内容 end --> </div> <!-- 列表元素 end -->';
        }
        else
        {
            var logo = "def_team.png";
            if(home_team.logo != undefined)
            {
                logo = home_team.logo;
            }
            var tname_cn = home_team.tname_cn;
            var level = "0";
            if(home_team.level != undefined)
            {
                level = home_team.level;
            }
            commentHtml +='<!-- 列表原素 start --> <div comment-type="item" class="item clearfix" Style = "position:relative;"> <!-- 头像 start --> <div Style = "float:left; margin:16px 11px 0px 0px;"> <img Style ="width:25px;height:25px;border-radius: 12.5px;" src="'+ wb_profile_img +'"> </div> <!-- 头像 end --> <!-- 内容 start --> <div Style = "float:left;"> <div style = "padding-top:16px;font-size:12px;color:rgb(185,185,185);">'+ nick +'</div> <image style="float:left;padding-top:1px; height: 17px; width: 17px;" src="'+ logo +'"> <div style = "float:left; margin-top:3px; margin-left:7px;font-size:9px;color:rgb(185,185,185);font-family:Roboto;"> LV.'+ level +' </div> <div style = "clear:both"> </div> </div> <div style = "position:absolute;right:0px;top:24px;font-size:9px;color:rgb(185,185,185);">'+ time +'</div> <div Style = "clear:both;margin-left:36px;line-height:24px;font-size:17px;color:rgb(0,0,0);">'+ content +'</div> <div style = "margin-top:10px;;margin-bottom:17px"> <div Style = "float:right;font-size:9px;color:rgb(185,185,185);font-family:STHeiti;" onclick="replyClick(\''+ mid +'\')"> 回复 </div> <img Style ="float:right;'+ iconMarginTop +'margin-right:4px; width: 9px; height: 9px" src="reply_icon.png" onclick="replyClick(\''+ mid +'\')"> <div id="'+ mid +'" Style = "float:right;margin-right:9px;font-size:9px;color:rgb(185,185,185);font-family:Roboto;" onclick="agreeClick(this,\''+ mid +'\')">'+ agree +'</div> <img Style ="float:right;'+ iconMarginTop +'margin-right:4px;width: 9px; height: 9px;" src="agreed_icon.png" onclick="agreeClick(this,\''+ mid +'\')"> <div Style = "float:left;margin-left:36px;font-size:9px;color:rgb(185,185,185)">['+ area+']</div> <div style ="clear:both;"> </div> </div> <div class="hairlines"></div><!-- 内容 end --> </div> <!-- 列表元素 end -->';
        }
    }
    if(HotCommentsArray.length > 0)
    {
        commentHtml += '</div> <!-- 列表 end --> <div align = "center" style= "padding-top:13px;padding-bottom:13px;font-size:12px;color:rgb(218,29,9)" onclick = "showMoreCommentClick()"> 查看更多评论 </div> <!-- </div>--> <!-- 热门评论 end --></div>';
        
    }
    hotCommentsElement.innerHTML = commentHtml;
}

function totalComment(total){
    var num;
    if(typeof total != 'number' || total < 1){
        num = '';
    }else if(total < 1000000 && total >= 10000){
        num = (total/ 10000).toFixed(1) + '万'
    }else if(total >= 1000000){
         num = parseInt(total/ 10000) + '万'
    }
    else{
        num = total
    }
    return num !='' ? '<span>'+ num + "评" + '</span>' : '';
}

function timeComment(time){
    var newTime = parseInt(new Date().getTime()/1000);
    var diff = newTime - time;
    var day = 24 * 60 * 60;
    var h = 60 * 60;
    var tenDay =  10* 24 * 60 * 60;
    if( new Date().getFullYear() - new Date(parseInt(time) * 1000).getFullYear() >= 1){
         return new Date(parseInt(time) * 1000).toJSON().substring(0,10)
    }
    if(diff > h && diff < day){
        return parseInt(diff/h) + '小时前'
    }else if(diff < h && diff > 60*10){
        return parseInt(diff / 60) + '分前';
    }else if(diff < tenDay && diff > day){
        return parseInt(diff / day) + '天前';
    }
    else if(diff > tenDay){
       return new Date(parseInt(time) * 1000).toJSON().substring(5,10)
    }else {
        return '刚刚'
    }
}

function parseRelatedNews(RelatedNewsArray) {
    var relatedNewsElement = document.getElementById("relatedNews");
    var relatedNewsHtml = "";
    if(RelatedNewsArray.length > 0) {
        relatedNewsHtml += '<div id = "recommend"><div Style ="font-size:14px;color:rgb(85,85,85)">相关推荐<div class="recommendhairlines"></div></div></div>';
    }
    var titleWidth = clientWidthOfCurrentDevice - 86-16;
    for(var i = 0 ; i < RelatedNewsArray.length; i ++){
        var title = RelatedNewsArray[i].stitle;
        var intro = RelatedNewsArray[i].intro;
        var thumb = RelatedNewsArray[i].thumb;
        var url = RelatedNewsArray[i].url;
        var time = RelatedNewsArray[i].ctime;
        var comment_count =  RelatedNewsArray[i].comment_count;
        if(title == '' || title == null) {
            title = RelatedNewsArray[i].title;
        }
        if(thumb == '' || thumb == null) {
            thumb = "news_bg.png";
        }
        relatedNewsHtml += '<div id = "carditems_list" class="carditems_list clearfix" onclick="relatedListClick(\''+ url +'\')"><div Style="position:absolute;"><img Style="width:76px;height:57px;margin-top:10px" src="'+ thumb +'" ></div><div Style="margin-left:86px; padding-top:10px;"><div class="name" Style="width:'+titleWidth+'px;">'+ title +'</div><div class="info" Style="width:'+titleWidth+'px;">'+ totalComment(comment_count) +'<em>'+ timeComment(time) +'</em></div></div></div>';
    }
    relatedNewsElement.innerHTML = relatedNewsHtml;
}

document.onreadystatechange = function () {
    if (document.readyState == "complete") {
        onloadActionReady();
    }
}
//初始化赞
function initPariseData(parised , count){
    document.getElementById("parise").style.display = "block";
    document.getElementById("pariseLable").style.display = "block";
    if(parised == "1"){
        document.getElementById("pariseimg").src = "like-acti.png";
    }else{
        document.getElementById("pariseimg").src = "like-default.png";
    }
    
    document.getElementById("pariseFont").innerText = count;
}

//页面加载完成之后显示分享
function showShareView(){
    document.getElementById("sharediv").style.display = "block";
}
//分享
function weiboClicked(){
    sendToApp(kSPWebActionShareClick,'1');
}

function wechatClicked(){
    sendToApp(kSPWebActionShareClick,'2');
}

function circleClicked(){
    sendToApp(kSPWebActionShareClick,'3');
}

function qqClicked(){
    sendToApp(kSPWebActionShareClick,'4');
}