<!--method-->
var clientType = "Android";
var kSPWebActionPlayVideo = "playvideo";
var kSPWebActionShowAlbum = "showalbum";
var kSPWebActionShowImage = "showimage";
var kSPWebActionCustom = "custom";
var kSPWebActionReady = "ready";
var kSPWebActionLayoutFinished = "layoutfinished";
var kSPWebActionLayoutPlayer ="layoutplayer";
var kSPWebActionLayoutHeadImage = "layoutheadimage";
var kSPWebActionLayoutArticleImage = "layoutarticleimage";
var kSPWebActionPopTableImage = "poptableimage";
var kSPWebActionBottomADImageClick = "bottomadimageclick";
var kSPWebActionHeadADImageClick = "headadImageclick";
var kSPWebActionShowMoreCommentClick = "showMoreCommentClick";
var kSPWebActionReplyClick = "replyclick";
var kSPWebActionAgreeClick = "agreeclick";
var kSPWebActionVoteChoiseClick = "votechoiseclick";
var kSPWebActionVoteCommitClick = "votecommitclick";
var kSPWebActionVoteShowResultClick = "voteshowresultclick";
var kSPWebActionResultToVoteListClick = "resulttovotelistClick";
var kSPWebActionRelatedListClick = "relatedListClick";
var kSPWebActionPraiseClick = "praiseClick";
var kSPWebActionShareClick = "shareClick";//3.1.8增加分享


//过滤微博字段所用的正则表达式
var regex=/<a.*>\[微博]<\/a>/gi;
var videoImageID = "videoImage";
var marginleft = 10;
var contentImageMarginLeft = 18;
//                var contentImageMarginLeft = 28;
var heightDevideWidth = 168/300;
var clientWidthOfCurrentDevice;
if(clientType == "iOS")
{
    clientWidthOfCurrentDevice = document.documentElement.clientWidth;//取得浏览器页面可视区域的宽度
}
//标记正文中是否有表格的存在，默认不存在
var hasTable = new Boolean();
hasTable = false;
//全局变量，存放转化过来的画板数组
var tableCanVasList = new Array();
//全局变量，记录符合条件的表格的数量
var tableCount;
//全局变量，记录当前表格的索引值
var currentTableIndex = 0;
//全局变量，记录符合转化添加的表格标签列表
var originalTableList = new Array();
//全局变量,判断正文是否是正文类型
var isVideo = new Boolean();
isVideo = false;

function onloadActionReady()
{
    sendToApp(kSPWebActionReady, 'def');
}

function bundleEventToArticleImage()
{
    var article = document.getElementById('article');
    var images = article.getElementsByTagName('img');
    for(var i=0;i<images.length;i++)
    {
        images[i].onload = resizeImage;
    }
}
function resizeImage()
{
    //set the image size
    var article = document.getElementById('article');
    var images = article.getElementsByTagName('img');
    for(var i=0;i<images.length;i++)
    {
        if(images[i].clientWidth < clientWidthOfCurrentDevice-contentImageMarginLeft*2)
        {
            continue;
        }
        images[i].style.width = clientWidthOfCurrentDevice-contentImageMarginLeft*2;
        images[i].style.height = 'auto';
        images[i].style.marginLeft = "0px";
        images[i].style.marginRight = "0px";
        //                        images[i].onclick =  function(){alert("d")};
        images[i].onclick = function(){toArticleImg(this)};
        
    }
}
function changeArcherUrlValue()
{
    //change the url value
    var archers = document.getElementsByTagName('a');
    for(var i= 0;i<archers.length;i++)
    {
        archers[i].href = 'http://www.baidu.com';
    }
}
function resizeFirstParagraph()
{
    var firstParagraph = document.getElementsByTagName("p")[0];
    if(firstParagraph != undefined)
    {
        firstParagraph.style.marginTop = "0px";
    }
    
}
function setPageContent()
{
    var tableTagList = document.getElementsByTagName("table");
    for(var i = 0; i < tableTagList.length;i++)
    {
        var subtableList = tableTagList[i].getElementsByTagName("table");
        var subImageList = tableTagList[i].getElementsByTagName("img");
        if(subtableList.length == 0 && subImageList.length ==0)
        {
            hasTable = true;
            originalTableList.push(tableTagList[i]);
        }
    }
    tableCount = originalTableList.length;
    bundleEventToArticleImage();
    resizeImage();
    //                    changeArcherUrlValue();
    resizeFirstParagraph();
    replaceAllTables();
    //replaceGifs();
}
function toVideo()
{
    var positionString =getPosttion(videoImageID);
    //                    alert("frame:"+positionString);
    sendToApp(kSPWebActionLayoutPlayer,positionString);
}
function toHDAlbum()
{
    sendToApp(kSPWebActionShowAlbum,"album");
}

function toHeadImage()
{
    var headImageElement = document.getElementById("headImage");
    var images = headImageElement.getElementsByTagName('img');
    var headImagePosition = "";
    var splitString = "&"
    //返回用&分割的位置字符
    for(var i=0;i<images.length;i++)
    {
        headImagePosition += getPosttionByElement(images[i]) + splitString;
    }
    if(headImagePosition.lastIndexOf(splitString) == headImagePosition.length -1)
    {
        headImagePosition = headImagePosition.slice(0,headImagePosition.length -1);
    }
    sendToApp(kSPWebActionLayoutHeadImage,headImagePosition);
}
function toArticleImg(id)
{
    var positionString = getPosttionByElement(id);
    var url = id.src;
    var positionStringAndUrl = positionString + "&"  + url;
    sendToApp(kSPWebActionLayoutArticleImage,positionStringAndUrl);
}
function getPosttion(id)
{
    var offsets = document.getElementById(id).getBoundingClientRect();
    var top = offsets.top;
    var left = offsets.left;
    var width = document.getElementById(id).clientWidth;
    var height = document.getElementById(id).clientHeight;
    var positionString = "{{"+left+", "+top+"}, {"+width+", "+height+"}}";
    //                {{8, 88}, {300, 227}}
    //                    alert(positionString);
    return positionString;
}
function getPosttionByElement(id)
{
    var offsets = id.getBoundingClientRect();
    var top = offsets.top;
    var left = offsets.left;
    var width = id.clientWidth;
    var height = id.clientHeight;
    var positionString = "{{"+left+", "+top+"}, {"+width+", "+height+"}}";
    //                {{8, 88}, {300, 227}}
    //                    alert(positionString);
    return positionString;
}
var sendToApp = function(_key, _val) {
    
    if(clientType == "iOS")
    {
        var iframe = document.createElement("IFRAME");
        iframe.setAttribute("src", _key + ":##sendToApp##" + _val);
        document.documentElement.appendChild(iframe);
        iframe.parentNode.removeChild(iframe);
        iframe = null;
    }
    else if(clientType == "Android")
    {
        window.sendApp.getAction(_key + ":##sendToApp##" + _val);
    }
}
function addBackgroundColor(id)
{
    var img = document.getElementById(id);
    img.style.background = "#F5F5F5"
    
}
function ADError(id)
{
    //                    alert("shibai");
    //                    id.parentNode.removeChild(id);
}
function ADSuccess(id)
{
    id.style.width = clientWidthOfCurrentDevice - marginleft*2;
    id.style.height = 35;
    id.style.marginBottom = "10px";
    
}
function BottomADSuccess(id)
{
    id.style.width = clientWidthOfCurrentDevice - 20*2;;
    id.style.height = 60;
    id.style.marginTop = "20px";
    id.style.marginBottom = "12.5px";
}
//顶部广告图片加载成功后图片的样式
function HeadADSuccess(id)
{
    var HeadAD = document.getElementById("HeadAD");
    HeadAD.style.display = "block";
    
    //广告图片宽度
    id.style.width = clientWidthOfCurrentDevice;
    //高度
    id.style.height = 52;
    
    NotifyAddSubView();
    
    //关闭按钮，默认隐藏，广告图片加载成功之后显示
    var HeadADImageBtn = document.getElementById("HeadADImageBtn");
    HeadADImageBtn.style.visibility = "visible";
    
    var HeadADTag = document.getElementById("HeadADTag");
    HeadADTag.style.visibility = "visible";
}
//图片按钮样式
function HeadADBtnSuccess(id)
{
    //按钮的宽度
    id.style.width = 45;
    //按钮的高度
    id.style.height = 52;
}
function HeadADTagSuccess(id) {
    id.style.width = 25;
    id.style.height = 13;
}

function ChangeADImageSrc(url)
{
    var ADImage = document.getElementById("ADImage");
    ADImage.src = url;
}
function ChangeBottomADImageSrc(url)
{
    var BottomADImage = document.getElementById("BottomADImage");
    BottomADImage.src = url;
}
function ChangeHeadADImageSrc(url)
{
    var HeadADImage = document.getElementById("HeadADImage");
    HeadADImage.src = url;
}
function ChangeHeadADBtnImageSrc(url)
{
    var HeadADImageBtn = document.getElementById("HeadADImageBtn");
    HeadADImageBtn.src = url;
}
function NotifyAddSubView()
{
    var mediaElement = document.getElementById("video");
    if( mediaElement.innerHTML.length > 0)
    {
        toVideo();
    }
    //set headImage
    var headImageElement = document.getElementById("headImage");
    if(headImageElement.innerHTML.length >0)
    {
        //暂时关闭 webView 上增加imageview的功能
        // toHeadImage();
    }
}
function replaceGifs()
{
    //url encode 未做
    //寻找img标签
    var article = document.getElementById('article');
    var imgList = article.getElementsByTagName("img");
    
    for(var i = 0; i<imgList.length;i++)
    {
        //src 的后缀是否.gif
        var isHaveGifTail = new Boolean();
        var imgSrc = imgList[i].src;
        var gifIndex = imgSrc.toLowerCase().lastIndexOf(".gif");
        if(gifIndex == imgSrc.length - ".gif".length)
        {
            isHaveGifTail = true;
        }
        else
        {
            isHaveGifTail = false;
        }
        if(isHaveGifTail)
        {
            //那么把src替换成 http://s.img.mix.sina.com.cn/auto/crop?img=http://www.sinaimg.cn/ty/2014/1111/U10623P6DT20141111181754.gif&size=198_132
            var gifFristFrameSrc = "http://s.img.mix.sina.com.cn/auto/crop?img=" + encodeURI(imgSrc) + "&size=198_132";
            imgList[i].src = gifFristFrameSrc;
            
            //增加一个按钮，把当前的src 替换成http://www.sinaimg.cn/ty/2014/1111/U10623P6DT20141111181754.gif
            var playButton = document.createElement("input");
            playButton.typeof = "button";
            playButton.value = "value";
            imgList[i].parentNode.insertBefore(playButton,imgList[i]);
            playButton.onclick = function(){
                
                var image = this.nextSibling;
                //var gifSrc = image.src.match(/http.*?gif/g);
                var startIndex = image.src.lastIndexOf("http://");
                var endIndex = image.src.indexOf(".gif")
                if(startIndex < endIndex)
                {
                    var gifSrc = image.src.substring(startIndex, endIndex + 4);
                }
                if(gifSrc != null)
                {
                    image.src = gifSrc;
                }
            }
            
        }
        
    }
    
    
    
}
//此方法为递归调用
function replaceAllTables()
{
    if(originalTableList.length == 0)
    {
        return;
    }
    
    var tableElement = originalTableList[currentTableIndex];
    html2canvas(tableElement, {
                onrendered: function(canvas) {
                var dataURL = canvas.toDataURL();
                dataURL =  dataURL.replace(/^data:image\/(png|jpg);base64,/, "");
                var i = canvas.childNodes.length;
                canvas.style.width = clientWidthOfCurrentDevice-contentImageMarginLeft*2;
                canvas.style.height = "auto";
                //                                        tableElement.parentNode.insertBefore(canvas,tableElement);
                //                                        tableElement.parentNode.removeChild(tableElement);
                
                canvas.onclick = function ()
                {
                var dataURL = canvas.toDataURL();
                dataURL =  dataURL.replace(/^data:image\/(png|jpg);base64,/, "");
                //                                        alert(dataURL);
                var positionString = getPosttionByElement(canvas);
                //                                        alert(positionString);
                var frameandImageData = positionString + "&" + dataURL;
                //                                        alert(frameandImageData);
                sendToApp(kSPWebActionPopTableImage,frameandImageData);
                }
                tableCanVasList.push(canvas);
                //                                alert("currentTableIndex:"+currentTableIndex);
                currentTableIndex++;
                if(currentTableIndex == tableCount )
                {
                //out
                replaceTableWithCanvas();
                }
                else
                {
                //递归
                replaceAllTables();
                }
                
                }
                });
    
    
}
function replaceTableWithCanvas()
{
    
    for(var j=0;j<originalTableList.length;j++)
    {
        var tableElement = originalTableList[j];
        var canvas = tableCanVasList[j];
        tableElement.parentNode.insertBefore(canvas,tableElement);
        tableElement.parentNode.removeChild(tableElement);
    }
    sendToApp(kSPWebActionLayoutFinished, 'a');
    resizeTable();
}
function resizeTable()
{
    var article = document.getElementById('article');
    var tables = article.getElementsByTagName('table');
    for(var i=0;i<tables.length;i++)
    {
        tables[i].style.width = clientWidthOfCurrentDevice-contentImageMarginLeft*2;
        tables[i].style.height = "auto";
        
    }
}
function changeClientWidthOfCurrentDevice(widthFromOutSide)
{
    clientWidthOfCurrentDevice = widthFromOutSide;
}
function toPlayVideo(){
    sendToApp(kSPWebActionPlayVideo, "");
}
function bottomADImageClick()
{
    sendToApp(kSPWebActionBottomADImageClick,"");
}
function headADImageClick()
{
    sendToApp(kSPWebActionHeadADImageClick,"");
}
//点赞
function pariseClick()
{
    sendToApp(kSPWebActionPraiseClick,"");
}

function pariseClickSuc() {
    document.getElementById("pariseimg").src = "like-acti.png";
    var count = document.getElementById("pariseFont").innerText;
    document.getElementById("pariseFont").innerText = parseInt(count)+1;
    document.getElementById("pariseimg").onclick = function(){};
}
function HeadADImageBtnClick()
{
    var HeadAD = document.getElementById("HeadAD");
    HeadAD.style.display = "none";
    NotifyAddSubView();
}
function HeadADImageError()
{
    var HeadAD = document.getElementById("HeadAD");
    HeadAD.style.display = "none";
    
}

function showMoreCommentClick()
{
    sendToApp(kSPWebActionShowMoreCommentClick,"");
}
function replyClick(id)
{
    sendToApp(kSPWebActionReplyClick,id);
}
function relatedListClick(id) {
    sendToApp(kSPWebActionRelatedListClick,id);
    
}
function agreeClick(currentElement,id)
{
    if("div" == currentElement.tagName.toLowerCase())
    {
        var currentValue = parseInt(currentElement.innerHTML);
        currentValue++;
        currentElement.innerHTML =  ""+currentValue;
    }
    else if("img" == currentElement.tagName.toLowerCase())
    {
        var currentValue = parseInt(currentElement.parentNode.children[2].innerHTML);
        currentValue++;
        currentElement.parentNode.children[2].innerHTML =  ""+currentValue;
    }
    sendToApp(kSPWebActionAgreeClick,id);
}
function agreeNumberMinusOne(mid)
{
    currentElement = document.getElementById(mid);
    var currentValue = parseInt(currentElement.innerHTML);
    currentValue--;
    currentElement.innerHTML =  ""+currentValue;
}
function voteDivClick(id, divid)
{
    var voteAnswerElement = document.getElementById(id);
    
    //判断是否是单选
    var inputElement = voteAnswerElement.getElementsByTagName('input');
    
    if(inputElement[0].type == 'radio')//是单选
    {
        //取题目节点
        var voteQuestionDivElement = document.getElementById(divid);
        var divTags = voteQuestionDivElement.getElementsByTagName('div');
        
        for(var i = 0; i < divTags.length; i++)
        {
            if(divTags[i].style.background == '#f0f0f0'||divTags[i].style.background == 'rgb(240, 240, 240)'||divTags[i].style.background == 'rgb(240,240,240)')
            {
                divTags[i].style.background = 'white';
            }
        }
        inputElement[0].checked = true;
        voteAnswerElement.style.background = "#f0f0f0";//选中变色
    }
    else//多选
    {
        //确定这个div底下的checkbox是选中还是取消选中
        /*
         if(inputElement[0].checked)
         {
         voteAnswerElement.style.background = "#f0f0f0";//选中变色
         }
         else
         {
         voteAnswerElement.style.background = 'white';
         }*/
        
        if(voteAnswerElement.style.background == '#f0f0f0'||voteAnswerElement.style.background == 'rgb(240, 240, 240)'||voteAnswerElement.style.background == 'rgb(240,240,240)')//取消选中
        {
            voteAnswerElement.style.background = 'white';
            inputElement[0].checked = false;
        }
        else
        {
            voteAnswerElement.style.background = "#f0f0f0";//选中变色
            inputElement[0].checked = true;
        }
        
    }
}

//只有一个投票且只有两个选项
function voteCommitForSimpleClick(questionid,answerid)
{
    var votesResult = questionid +'|'+answerid;
    sendToApp(kSPWebActionVoteCommitClick,votesResult);
}
function voteChoiseClick(id)
{
    sendToApp(kSPWebActionVoteChoiseClick,id);
}
function voteCommitClick()
{
    var voteElement = document.getElementsByTagName('input');
    var votesResult = '';
    for(var i = 0; i < voteElement.length; i++)
    {
        if(voteElement[i].checked == true)
        {
            var questionid = voteElement[i].name;
            var answerid = voteElement[i].value;
            var result = questionid + '|' + answerid;
            votesResult += result;
            votesResult += '&';
        }
    }
    sendToApp(kSPWebActionVoteCommitClick,votesResult);
}
function voteShowResultClick()
{
    sendToApp(kSPWebActionVoteShowResultClick,"");
}
function resultTovoteListClick()
{
    sendToApp(kSPWebActionResultToVoteListClick,"")
}
<!--weibo -->
function  AddWeiboCardReuseWeb(url)
{
    loadXMLDoc(url);
}
function AddWeiboCardByInterface(url,completeWeiboCardUrl)
{
    loadXMLDoc(url,completeWeiboCardUrl);
}
function loadXMLDoc(url,completeWeiboCardUrl) {
    var xmlhttp;
    if (window.XMLHttpRequest) {
        // code for IE7+, Firefox, Chrome, Opera, Safari
        xmlhttp = new XMLHttpRequest();
    } else {
        // code for IE6, IE5
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    xmlhttp.onreadystatechange = function() {
        if (xmlhttp.readyState ==4 && xmlhttp.status ==200) {
            var dataObj = eval("(" + xmlhttp.responseText + ")");
            document.getElementById("weiboCardAnchor").href = completeWeiboCardUrl;
            document.getElementById("weiboCard").style.paddingTop = "10px";
            document.getElementById("profile_image").src = dataObj.user.profile_image_url;
            document.getElementById("profile_image").title = dataObj.user.name;
            document.getElementById("profile_image").style.width = 33;
            document.getElementById("profile_image").style.height = 33;
            document.getElementById("userName").innerHTML = dataObj.user.name;
            document.getElementById("source").innerHTML = "来自"+dataObj.source;
            document.getElementById("text").innerHTML = dataObj.text;
            document.getElementById("text").style.marginTop = "10";
            document.getElementById("thumbnail_pic_img").src = dataObj.thumbnail_pic;
            document.getElementById("thumbnail_pic").style.marginTop = "10px";
        }
    }
    xmlhttp.open("GET",url,true);
    xmlhttp.send();
}
